package cn.hnthyy.thmz.service.his;

import cn.hnthyy.thmz.entity.his.YpOutDetl;
import cn.hnthyy.thmz.vo.YpOutDetlVo;

import java.util.List;

public interface YpOutDetlService {

    /**
     * 查询药库出库单
     * @param ypOutDetl
     * @return
     */
    List<YpOutDetl> queryYpOutDetlPage(YpOutDetl ypOutDetl);

    /**
     * 查询药库出库单总条数
     * @param ypOutDetl
     * @return
     */
    int countYpOutDetl(YpOutDetl ypOutDetl);

    /**
     * 查询药库出库单详细
     * @param drawNo
     * @return
     */
    List<YpOutDetlVo> queryYpOutDetlDetail(String drawNo);

}
